# Manual de &konsole;

&Jonathan.Singer; &Jonathan.Singer.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
&Robert.Knight; &Robert.Knight.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
&Waldo.Bastian; &Waldo.Bastian.mail;
&Mike.McBride; &Mike.McBride.mail;
Rocío
Gallego

    traducciones@rociogallego.com

Traducción
Pablo
de Vicente

    pvicentea@nexo.es

Traductor
Carlos
García Argos

    garcia@ieee.org

Traductor
Marcos
Fouces Lago

    mfouces@yahoo.es

Traductor
Santiago
Fernández Sancho

    mfouces@yahoo.es

Traductor
2000
2001
2002
&Jonathan.Singer;
2005
2008
2009
2010
2011
2014
&Kurt.Hindenburg;
&FDLNotice;
2014-02-09
2.13 (&kde; 4.13)

&konsole; es un emulador de terminal para &kde;.

KDE
konsole
kdebase
orden
línea
terminal
cli

## Introducción

### ¿Qué es un terminal?

&konsole; es un emulador de terminal X, al cual nos referiremos con frecuencia como un terminal o un intérprete de órdenes. Emula una interfaz de línea de órdenes en una ventana solo de texto.

&konsole; normalmente ejecuta un intérprete de órdenes, una aplicación que ejecuta las órdenes que se van escribiendo. El intérprete de órdenes que ejecuta &konsole; depende de las preferencias de su cuenta. Consulte la documentación de su sistema operativo para obtener más información sobre lo que es el intérprete de órdenes, cómo configurarlo y cómo utilizarlo.

### Historial

&konsole; utiliza el concepto de historial para permitir a los usuarios ver la salida mostrada previamente. De manera predeterminada, el historial está activado y preparado para guardar 1.000 líneas de salida además de lo que se muestre actualmente en la pantalla.

A medida que las líneas de texto quedan fuera de la parte superior de la pantalla, se pueden ver moviendo la barra de desplazamiento hacia arriba, desplazándose con la rueda del ratón o utilizando las teclas &Shift;RePág (para mover atrás una página), &Shift;AvPág (para mover hacia delante una página), &Shift;Flecha arriba (para mover una línea arriba) y &Shift;Flecha abajo (para mover una línea abajo).

Se puede elegir la cantidad de desplazamiento que se realiza con &Shift;RePág/AvPág entre media página o una página completa en la pestaña Desplazamiento de la ventana de configuración de perfil (utilice Preferencias Editar perfil actual... para abrir dicha ventana).

### Perfiles

Los perfiles permiten al usuario automatizar rápida y fácilmente la ejecución de órdenes habituales. Ejemplos que puede incluir:

- ssh en otra máquina

- iniciar una sesión de irc

- utilizar tail para buscar un archivo

Procedimiento para crear un perfil nuevo:

1. Pulse en la opción de menú Preferencias Administrar perfiles...

2. Pulse el botón Nuevo perfil....

3. Rellene la primera entrada con un nombre. Este es el nombre que se mostrará en el menú, y será la etiqueta que se utilizará en lugar de Terminal cuando inicie una sesión de este tipo.

4. Introduzca una orden de la misma forma en que lo haría si abriera un nuevo terminal y tecleara la orden. Para nuestro primer ejemplo, teclee ``ssh` administrador`.

5. En las demás pestañas del diálogo, configure el aspecto de la sesión. Puede configurar diferentes tipos de letra, combinaciones de color, tipos de $`TERM` y muchas otras preferencias para cada sesión.

6. Pulse el botón Aceptar. La nueva sesión estará disponible en el diálogo Administrar perfiles....

Los perfiles que tengan marcada la opción Mostrar en el menú se listarán por su nombre en el menú Archivo Nueva pestaña. No habrá submenú si solo se va a mostrar el perfil predeterminado.

### Botones de ratón

Esta sección detalla la utilización de los botones del ratón para dar órdenes a través del botón derecho. Para utilizar el botón izquierdo, cambie los botones izquierdo y derecho en el texto inferior.

Izquierda

  Todas las pulsaciones del &LMB; se envían a la aplicación en &konsole;. Si una aplicación puede reaccionar a las pulsaciones del ratón, &konsole; lo indica mostrando un flecha de cursor. Sino, mostrará un cursor con forma de I.

  Manteniendo pulsado el &LMB; y arrastrando el puntero por la pantalla con una aplicación que ignore el ratón seleccionará una región de texto. Mientras se arrastra, el texto marcado se muestra en vídeo inverso para que se vea mejor. Seleccione Copiar del menú Editar para copiar el texto marcado al portapapeles para que se pueda usar más tarde con &konsole; u otra aplicación. El texto seleccionado se puede arrastrar y soltar en aplicaciones compatibles. Pulse sobre el texto seleccionado y arrástrelo a la dirección deseada.

  Normalmente, se insertan caracteres de salto de línea al final de cada línea seleccionada. Esto es mejor para cortar código fuente, o la salida de una orden en particular. Para texto normal, los saltos de línea no suelen ser importantes. A veces uno preferiría, sin embargo, que el texto fuera una cadena de caracteres que se reformatearán automáticamente al pegarlos en otra aplicación. Para seleccionar el modo de texto como cadena, mantenga pulsada la tecla &Ctrl; mientras continúa seleccionando la forma normal.

  Pulsando las teclas &Ctrl; y &Alt; a la vez que el &LMB; seleccionará una columna de texto.

  Un doble pulsación con el &LMB; seleccionará una palabra. Una triple pulsación seleccionará una línea completa.

  Si se llega al borde superior o inferior del área de texto mientras se está seleccionando, &konsole; hace un desplazamiento arriba o abajo, posiblemente mostrando texto del historial de la memoria intermedia. El desplazamiento termina cuando el ratón deja de moverse.

  Después de que se suelte el botón del ratón, &konsole; trata de mantener el texto visible en el portapapeles manteniendo para ello el área seleccionada en vídeo inverso. El área marcada vuelve a vídeo normal tan pronto como se altere el contenido del portapapeles, se modifique el texto del área marcada o se pulse el &LMB;.

  Para marcar texto en una aplicación que admita el ratón (por ejemplo, Midnight Commander), este debe pulsarse a la vez que la tecla &Shift;.

Central

  Pulsando el &MMB;, se pega texto que esté actualmente en el portapapeles. Manteniendo pulsada la tecla &Ctrl; mientras se pulsa el &MMB;, se pega el texto y se añade una nueva línea. Esto resulta útil para ejecutar la orden pegada rápidamente, pero puede ser peligroso, así que se debe usar con precaución.

  Si tiene un ratón con solo dos botones, al pulsar a la vez el &LMB; y el &RMB; se emula el &MMB; de un ratón con tres botones.

  Si tiene una rueda como botón central, al girarla en un programa que admita el ratón, se moverá la barra de desplazamiento de &konsole;.

Derecho

  Estos elementos aparecen en el menú cuando se pulsa el &RMB;: Copiar, Pegar, Abrir administrador de archivos, Establecer codificación, Cambiar perfil, Limpiar historial, Ajustar historial, Mostrar barra de menú, Cambiar de perfil, Editar perfil actual... yCerrar pestaña

  En una aplicación que admita el ratón, pulse la tecla &Shift; a la vez que el &RMB; para que aparezca el menú emergente.

### Arrastrar y soltar

Si se suelta un archivo, una carpeta o una &URL; en una ventana de &konsole;, aparece un menú de contexto con las siguientes acciones:

Menú de contexto de Arrastrar y soltar
Menú de contexto de Arrastrar y soltar

&Shift;Mover aquí

  Mover el elemento que se ha soltado a la carpeta actual. Dicho elemento solo aparece en el menú de contexto si se tienen los permisos necesarios para borrar el archivo o la carpeta que se ha soltado.

&Ctrl;Copiar aquí

  Copiar el elemento que se ha soltado en la carpeta actual.

&Ctrl;&Shift;Enlazar aquí

  Insertar un enlace simbólico al elemento que se ha soltado.

Pegar ubicación

  Insertar la ruta completa del elemento que se ha soltado en la posición del cursor.

Cambiar directorio a

  Si se suelta una carpeta, aparece esta acción en el menú de contexto para permitir que se cambie la carpeta de trabajo de la sesión de &konsole;.

&Esc;Cancelar

  Interrumpir la acción de arrastrar y soltar.

Si pulsa los accesos rápidos antes de soltar el &LMB; durante una acción de arrastrar y soltar, no aparece el menú de contexto y las acciones se ejecutarán inmediatamente.

## Referencia de órdenes

### La barra de menú

La barra de menú se encuentra en la parte superior de la ventana de &konsole;. Si la barra de menú se encuentra oculta, puede utilizar la opción Mostrar barra de menú pulsando el botón derecho en la ventana (siempre que no estén ejecutándose a pantalla completa aplicaciones como vi, minicom, etc., en dicha ventana). El acceso rápido predeterminado se encuentra indicado en cada uno de los accesos de menú.

#### Menú «Archivo»

&Ctrl;&Shift;N Archivo Nueva ventana

  Abre una ventana separada de &konsole; con el perfil predeterminado

&Ctrl;&Shift;T Archivo Nueva pestaña

  Abre una pestaña nueva con el perfil predeterminado

  &konsole; incluye el perfil del intérprete de órdenes de forma predeterminada. Cualquier perfil nuevo añadido por el usuario aparecerá en el submenú. No habŕa submenú si solo se va a mostrar el perfil predeterminado.

Archivo Clonar pestaña

  Intento de clonar la pestaña actual en una nueva pestaña.

Archivo Guardar salida como...

  Guarda el historial actual como un archivo de texto o html

&Ctrl;&Shift;P Archivo Imprimir pantalla ...

  Imprimir la pantalla actual. De manera predeterminada, se adapta el tamaño de la pantalla para que encaje en el tamaño del papel en el que se va a imprimir con texto en blanco y negro y sin fondo. En el diálogo de impresión, se pueden cambiar estas opciones en la pestaña Opciones de salida.

Archivo Abrir el administrador de archivos

  Abre el administrador de archivos de &kde; en la carpeta actual. De forma predeterminada será dolphin.

&Ctrl;&Shift;W Archivo Cerrar pestaña

  Cierra la pestaña actual

&Ctrl;&Shift;Q Archivo Salir

  Sale de &konsole;

  &konsole; mostrará un diálogo de confimación si hay más de una pestaña abierta. Este diálogo puede desactivarse marcando la casilla de verificación No preguntar de nuevo.

#### Menú Edición

&Ctrl;&Shift;C Editar Copiar

  Copia el texto seleccionado al portapapeles

&Ctrl;&Shift;V Editar Pegar

  Pega texto desde el portapapeles en el lugar donde está el cursor

Editar Seleccionar todo

  Selecciona todo el texto de la ventana actual

Editar Copiar entrada a Todas las pestañas de la ventana actual

  Permite que las entradas de la sesión actual se envíen simultáneamente a todas las sesiones de la ventana actual

&Ctrl;&Shift;C Editar Copiar entrada a Seleccionar pestañas...

  Permite que las entradas de la sesión actual se envíen simultáneamente a las sesiones elegidas por el usuario

&Ctrl;&Shift;/ Editar Copiar entrada a Nada

  Deja de enviar la entrada de la sesión actual a otras sesiones.

Editar Enviar señal

  Enviar la señal especificada al proceso del intérprete de órdenes o a otro proceso que se lanzó cuando se inició la nueva sesión.

  Las señales disponibles actualmente son:

  STOP | detener el proceso
  CONT | continuar si se ha detenido
  HUP | problema encontrado en el terminal de control o finalización del proceso de control
  INT | interrumpir desde el teclado
  TERM | señal de finalización
  KILL | señal de terminación
  USR1 | señal 1 de usuario
  USR2 | señal 2 de usuario

  Consulte las páginas de manual del sistema para obtener más información mediante ``man` `7 signal``.

&Ctrl;&Alt;S Editar Renombrar pestaña...

  Abre un cuadro de diálogo que le permite cambiar el nombre de la pestaña actual (más información)

&Ctrl;&Alt;U Editar Carga de ZModem...

  Abre un diálogo para seleccionar el archivo que se desee descargar si está instalado el software necesario

&Ctrl;&Shift;F Editar Buscar...

  Abre una barra de búsqueda en la parte inferior de la ventana de &konsole;

  Permite búsquedas sensibles a mayúsculas y minúsculas, hacia delante y hacia atrás, y expresiones regulares.

F3 Editar Buscar siguiente

  Se mueve a la siguiente instancia de la búsqueda

&Shift;F3 Editar Buscar anterior

  Se mueve a la instancia anterior de la búsqueda

#### Menú «Ver»

&Ctrl;( Ver Dividir la vista Dividir la vista izquierda/derecha

  Divide todas las pestañas en las vistas izquierda y derecha

  Cualquier salida de una vista se duplicará en la otra.

&Ctrl;) Ver Dividir la vista Dividir la vista superior/inferior

  Divide todas las pestañas en las vistas superior e inferior

  Cualquier salida de una vista se duplicará en la otra.

&Ctrl;&Shift;S Ver Dividir la vista Cerrar la división activa

  Cierra la vista actual

&Ctrl;&Shift;O Ver Dividir la vista Cerrar las demás

  Cierra todas las vistas, excepto la actual

&Ctrl;&Shift;] Ver Dividir la vista Expandir la vista

  Hace más grande la vista actual

&Ctrl;&Shift;[ Ver Dividir la vista Contraer la vista

  Hace más pequeña la vista actual

&Ctrl;&Shift;H Ver Separar la pestaña actual

  Abre la pestaña actual en una ventana separada

  Salir de la ventana anterior de &konsole; no afectará a la ventana nueva que se cree.

&Ctrl;&Shift;I Ver Monitor de silencio

  Cambia la monitorización de la pestaña actual por falta de actividad

  De forma predeterminada, después de 10 segundos de inactividad, aparecerá un icono de información en la pestaña de la sesión. El tipo de alertas se puede cambiar a través de Preferencias Configurar notificaciones Silencio en sesión monitorizada.

&Ctrl;&Shift;A Ver Monitor e actividad

  Cambia la monitorización de la pestaña actual para la actividad

  En el momento que haya actividad, se mostrará un icono informativo en la pestaña de sesión. El tipo de alertas puede cambiarse a través de Preferencias Configurar notificaciones Actividad en sesión monitorizada.

&Ctrl;+ Ver Agrandar la letra

  Aumenta el tamaño de la letra del texto

&Ctrl;- Ver Reducir la letra

  Reduce el tamaño de la letra del texto

Ver Establecer codificación

  Establece la codificación de caracteres

Ver Borrar historial

  Borra todo el texto del historial

&Ctrl;&Shift;K Ver Borrar historial y reiniciar

  Borra el texto y el historial de la pestaña actual historial y reinicia el terminal

#### Menú Marcadores

&Ctrl;&Shift;B Marcadores Añadir marcador

  Añade la dirección actual

Marcadores Pestañas de marcadores como carpeta...

  Añade todas las pestañas a una carpeta de marcadores

  Se abrirá un diálogo para escribir el nombre de la carpeta.

Marcadores Nueva carpeta de marcador...

  Añade una nueva carpeta a la lista de marcadores

  Se abrirá un diálogo para escribir el nombre de la carpeta.

Marcadores Editar marcadores

  Abre el editor de marcadores

  Puede utilizar el editor de marcadores para añadir manualmente URLs. En este momento, &konsole; acepta las siguientes:

  - ssh://usuario@equipo:puerto

  - telnet://usuario@equipo:puerto

#### Menú Preferencias

Preferencias Editar perfil actual...

  Abre un editor para configurar el perfil actual

Preferencias Cambiar de perfil

  Cambiar el perfil actual a un perfil de la lista

Preferencias Administrar perfiles...

  Abre un editor para administrar perfiles

&Ctrl;&Shift;M Preferencias Mostrar barra de menús

  Muestra u oculta la barra de menú

Preferencias Modo de pantalla completa

  Cambia entre los modos de pantalla completa y pantalla normal de &konsole;

Preferencias Configurar accesos rápidos...

  Abre el editor de accesos rápidos de teclado. Se puede obtener más información sobre la configuración de los accesos rápidos en Aspectos básicos de &kde;.

  Además, &konsole; tiene algunos accesos rápidos especiales que no se corresponden con ninguna opción de menú:

  Acceso rápido | Descripción
  --- | ---
  &Shift;Derecha | Siguiente pestaña
  &Shift;Izquierda | Pestaña anterior
  &Ctrl;&Shift;Izquierda | Mover pestaña a la izquierda
  &Ctrl;&Shift;Derecha | Mover pestaña a la derecha
  &Ctrl;&Shift;Ins | Pegar selección
  &Shift;&Tab; | Siguiente contenedor de vista

Preferencias Configurar notificaciones...

  Abre el editor de notificaciones

Preferencias Configurar &konsole;...

  Abre el editor de preferencias de &konsole;

  Este diálogo tiene opciones que influyen en la apariencia y comportamiento de la Barra de herramientas y opciones generales para la ventana de &konsole;.

#### Menú «Ayuda»

&konsole; tiene algunas de las opciones de menú de Ayuda comunes de &kde;. Para obtener más información, consulte la sección de «Aspectos básicos» de &kde; sobre el Menú Ayuda.

### Diálogos de &konsole;

#### Diálogo Cambiar nombre de pestaña

En este diálogo, se puede cambiar el nombre de la pestaña actual. El diálogo se puede mostrar mediante el menú, con el acceso rápido &Ctrl;&Alt;S o mediante doble clic en la pestaña, en la barra de pestañas. Estos cambios se pueden hacer permanentes editando el perfil actual.

&konsole; sustituirá estos tokens:

- %n : nombre de programa

- %d : directorio actual (corto)

- %D : directorio actual (largo)

- %w: título de la ventana establecido por el intérprete de órdenes

- %# : número de sesión

- %u : nombre de usuario

- %h: servidor local o servidor remoto (corto)

- %H : servidor remoto (largo)

Ejemplos:

- `%d : %n` con /usr/src como directorio actual y ejecutando bash mostrará src : bash

- `%D : %n` con /usr/src como directorio actual y ejecutandotop mostrará /usr/src : top

- `%w (%#)` con ~ como directorio actual y ejecutando vim en la primera pestaña mostrará [Sin nombre] (~) - VIM(1)

#### Diálogo Copiar entrada

El texto introducido en una pestaña puede enviarse a otras pestañas de manera simultánea. Este diálogo permite seleccionar qué pestañas recibirán dicho texto. La pestaña actual se sombreará.

#### Diálogo de ajuste de historial

Las opciones del historial se pueden cambiar en este diálogo. Cualquier cambio solo se aplicará a la pestaña actual y no se guardará en el perfil.

## Opciones de la línea de órdenes

Cuando se inicia &konsole; desde la línea de órdenes, se pueden especificar varias opciones para modificar su comportamiento.

`--help`

  Listar las distintas opciones.

`--profile` `archivo`

  Inicia &konsole; utilizando el perfil especificado en lugar del perfil predeterminado.

`--fallback-profile`

  Usar el perfil interno de FALLBACK. Esta opción es un acceso rápido para `--profile` `FALLBACK/`.

`--workdir` `dir`

  Abrir con `dir` como directorio inicial de trabajo.

`--hold, --noclose`

  No cerrar la sesión inicial automáticamente al terminar.

`--new-tab`

  Crear una nueva pestaña en una ventana existente en lugar de una nueva ventana.

`--tabs-from-file` `archivo`

  Crear pestañas tal como se indique en el archivo de configuración de pestañas especificado.

  El archivo tiene una pestaña por línea en el siguiente formato:

  Cada línea especifica la pestaña que se abrirá y para especificar cómo se abrirá se utilizan hasta 4 campos. Los campos se delimitan por `;;` y el nombre de los campos debe tener `:` al final. Las líneas vacías o las líneas que empiezan por `#` se ignoran, de manera que se pueda utilizar las líneas que comienzan por # para añadir comentarios.

  - `título:` nombre para la pestaña. Si no se especifica o se deja en blanco, se utiliza el predeterminado para pestañas.
  - `workdir:` directorio de trabajo, `~` si está en blanco o no se ha identificado
  - `profile:` perfil de &konsole; que se debe utilizar. Se utilizará el predeterminado si se deja en blanco o no se especifica.
  - `command:` orden que se desea ejecutar

  Cada línea deberá contener al menos un campo de `orden` o `perfil`.

  Ejemplo: `título: %n;; orden: /usr/bin/top ;; perfil: Shell`

`--background-mode`

  Iniciar &konsole; en segundo plano y traerlo a primer plano cuando se pulsa &Ctrl;&Shift; (de manera predeterminada).

`--separate`

  Ejecutar la nueva isntancia de &konsole; en un proceso aparte.

`--show-menubar`

  Mostrarla barra de menú, anulando el comportamiento predeterminado.

`--hide-menubar`

  Ocultar la barra de menú, lo cual sustituye el comportamiento predeterminado.

`--show-tabbar`

  Mostrar la barra de pestañas, lo cual sustituye el comportamiento predeterminado.

`--hide-tabbar`

  Ocultar la barra de pestañas, lo cual sustituye el comportamiento predeterminado.

`--fullscreen`

  Iniciar &konsole; en modo de pantalla completa.

`--notransparency`

  Deshabilitar los fondos transparentes, aunque el sistema los admita.

`--list-profiles`

  Listar todos los perfiles disponibles.

`--list-profile-properties`

  Lista todas las propiedades posibles con nombre y tipo. Consulte la opción `-p`.

  Para obtener más información, consulte Referencia de API de &konsole;.

`-p` `propiedad=valor`

  Cambia el valor de una propiedad del perfil.

`-e` `orden`

  Ejecuta `orden` en lugar del intérprete de órdenes.

  Esta opción obtendrá los siguientes argumentos que se le pasan a &konsole; y los ejecutará como `orden`. Así que, esta opción se deberá utilizar siempre como la última opción.

`--nofork`

  No ejecutar en segundo plano. Esto se suele necesitar para imitar a otros emuladores de terminal.

&konsole; también acepta opciones genéricas de &Qt; y KDE:

`--help-qt`

  Lista las opciones específicas de &Qt;.

Las siguientes opciones &Qt; no tendrán efecto en &konsole;:

`--fn`, `--font` `nombreletra`

  Define la letra de la aplicación.

`--bg`, `--background` `color`

  Configura el color de fondo predeterminado.

`--fg`, `--foreground` `color`

  Configura el color predeterminado del primer plano.

`--btn`, `--button` `color`

  Configura el color predeterminado del botón.

`--help-kde`

  Lista las opciones específicas de &kde;.

`--help-all`

  Lista todas las opciones.

`--author`

  Muestra los nombres de los autores.

`-v,--version`

  Muestra el número de versión

`--licencia`

  Muestra información de la licencia.

## Guiones en &konsole;

En &kde; 4, &DBus; ha reemplazado al antiguo &DCOP;. &konsole; admite muchos métodos que se pueden utilizar con &DBus;.

Hay dos formas de utilizar la interfaz &DBus;: la &GUI; de &Qt;, qdbusviewer y la línea de órdenes qdbus.

Ejemplos:

- &percnt; `qdbus` mostrará todos los servicios disponibles.

- &percnt; `qdbus` `org.kde.konsole` mostrará la interfaz &DBus; para &konsole;.

- &percnt; `qdbus` `org.kde.konsole /Windows/1` mostrará métodos para controlar la ventana 1.

  /Konsole se utilizaba anteriormente para controlar la primera ventana, lo cual es un error de diseño. En adelante, no la utilice más para dicho propósito y considere actualizar los scripts existentes.

- &percnt; `qdbus` `org.kde.konsole /Sessions/1` mostrará métodos para controlar la sesión 1.

Si inicia &konsole; desde una terminal puede que necesite cambiar `org.kde.konsole` a `org.kde.konsole-`pidof -s konsole``.

Para más información, por favor, consulte el tutorial de &DBus;.

## Utilización de la hoja de estilos para la barra de pestañas

La hoja de estilos predeterminada para la barra de pestañas establece el ancho máximo y mínimo de las pestañas. El usuario puede crear un archivo `.css` y hacer que &konsole; lo utilice para la barra de pestañas. En el archivo `.css`, hay que utilizar el elemento gráfico `QTabBar::tab`.

Para obtener más información, se puede consultar laPágina del proyecto &Qt; sobre hojas de estilo

Ejemplos:

- Cambiar el fondo de la pestaña seleccionada a gris claro

      QTabBar::tab:selected {
          background: #999999
      }

- Cambia el texto de la pestaña seleccionada a rojo

      QTabBar::tab:selected {
          color: red
      }

- Todas las pestañas tendrán al menos 200 pixels de ancho.

      QTabBar::tab {
          min-width: 200px
      }

- Solo la pestaña seleccionada tendrá al menos 200 pixels de ancho

      QTabBar::tab::selected {
          min-width: 200px
      }

- Cualquiera de ellas se puede combinar en un archivo

      QTabBar::tab::selected {
          background: #999999;
          color: red;
          min-width: 200px;
      }
      QTabBar::tab {
          min-width: 100px
      }

## ¿Sabía que?, problemas habituales y más

### ¿Sabía que?

- Al pulsar la tecla &Ctrl; a la vez que se selecciona un texto, los saltos de línea se convertirán a espacios cuando se pegue dicho texto.

- Al pulsar las teclas&Ctrl;&Alt; cuando se selecciona un texto, se seleccionarán columnas.

- La combinación &Ctrl;rueda aumentará el tamaño del texto, como en Konqueror y en Firefox.

- Cuando un programa evalúa cualquiera de los botones del ratón, al pulsar la tecla &Shift; aparecerá un menú emergente.

- El acceso rápido &Ctrl;&Shift;F10 activará el menú.

- Las teclas &Shift;Ins insertarán el contenido del portapapeles.

- Al hacer doble clic, se seleccionará una palabra completa. Si se mantiene pulsado el botón del ratón mientras se desplaza el puntero, se ampliará la selección.

- Al hacer clic tres veces, se seleccionará la línea completa. Si se mantiene pulsado el botón del ratón mientras se desplaza el puntero, se ampliará la selección.

- Hay una funcionalidad oculta para el carácter de formato «%d» del título de la pestaña. Se le puede indicar a &konsole; que abrevie el nombre de su directorio a su primer carácter. Por ejemplo, «/path/to/konsole/src» se puede abreviar con «konsole/s». Si se quiere activar y controlar esta funcionalidad oculta, abra `~/.kde4/share/config/konsolerc` y añada las siguientes líneas:

      [ProcessInfo]
      CommonDirNames=name1,name2,name3...

  Si está utilizando Yakukake, tendrá que editar `~/.kde4/share/config/yakuakerc` en su lugar.

### Problemas habituales

- De manera predeterminada, cuando se ejecuta desde un terminal, &konsole; se ejecutará en segundo plano. Utilice la opción `--nofork` para forzar que &konsole; se ejecute en primer plano.

  Esto es necesario para que algunos scripts y órdenes funcionen como se espera:

  - `konsole --nofork -e sleep 3 ; echo 1`

  - `kdesu -u kdeuser konsole --nofork`

- Puede que algunos tipos de letra no estén disponibles para su uso en &konsole;, aunque están disponibles en otras aplicaciones. Eso no significa que haya un error en &konsole;, lo que ocurre es que &konsole; necesita tipos de letra en los que todas las letras ocupen lo mismo para que el resultado visual sea el mejor posible, así que solicita a &Qt; solamente los tipos de letra que cumplen dicho requisito.

  Si está seguro de que un tipo de letra es realmente monoespacio, pero no está disponible en &konsole;, comunique el problema a &Qt;.

- En KDE3, cada pestaña tenía su propio ID de proceso. Sin embargo, en KDE 4, todas las pestañas utilizan los mismos ID de proceso. Esto tiene el efecto colateral de que si el proceso de una pestaña tiene algún problema, todas las demás pestañas experimentarán problemas también.

  Esto se nota más cuando una orden que conecta a un dispositivo o sistema externo (ssh, nfs) tiene problemas.

- &konsole; trata los argumentos que vengan a continuación de la opción `-e` como si fueran uno solo y los ejecuta directamente en lugar de analizarlos y dividirlos en subórdenes para su ejecución. En esto, se diferencia de xterm.

  - `konsole -e "command1 ; command2"` no funciona

  - `konsole -e $SHELL -c "command1 ; command2"` funciona

- &konsole; no proporciona ventana de acceso al sistema porque a los desarrolladores no les parece buena idea que haya una ventana de login en un emulador de terminal.

  Por supuesto, los usuarios pueden acceder a la ventana de acceso al sistema en &konsole; si realmente lo necesitan. Para ello, se puede editar el perfil que se está utilizando y modificar la forma de iniciar la ventana de acceso al sistema explícitamente, como «`bash -l`" y "`zsh -l`».

- La opción `--new--tab` a veces tiene un comportamiento extraño. Puede crear una nueva ventana o una nueva pestaña en otra ventana de &konsole; existente en lugar de en la ventana actual de &konsole;.

  Estos comportamientos son extraños, pero no son necesariamente errores. La opción `--new-tab` intenta reutilizar las ventanas existentes de &konsole;, pero no todas las ventanas de &konsole; son reutilizables. Todas las ventanas de &konsole; abiertas a través de &krunner; son reutilizables, pero la mayoría de las ventanas de &konsole; abiertas desde la línea de comandos no lo son.

## Créditos y derechos de autor

Actualmente, el mantenimiento de &konsole; lo realiza &Kurt.Hindenburg; &Kurt.Hindenburg.mail;

Los responsables anteriores de &konsole; fueron &Kurt.Hindenburg; &Kurt.Hindenburg.mail; y &Waldo.Bastian; &Waldo.Bastian.mail;, entre otros

Derechos de autor de la aplicación &konsole;. © 1997-2008. &Lars.Doelle; &Lars.Doelle.mail;

Este documento fue escrito originalmente por &Jonathan.Singer; &Jonathan.Singer.mail;

Este documento se actualizó para &kde; 4.x por &Kurt.Hindenburg; &Kurt.Hindenburg.mail;

Este documento fue escrito para &kde; 3.4 por &Kurt.Hindenburg; &Kurt.Hindenburg.mail;.

Originalmente convertido a DocBook SGML por &Mike.McBride; y &Lauri.Watts;.

Traducido por Rocío Gallego traducciones@rociogallego.com, Pablo de Vicente vicentea@oan.es, Marcos Fouces Lago mfouces@yahoo.es y Santiago Fernández Sancho santi@kde-es.org.

&underFDL; &underGPL;

## Enlaces

Si desea más información, visite estos sitios web:

- Página de inicio de &konsole;«s en &kde;»s UserBase

- Página principal de &konsole;

- Lista de correo de &konsole;

- &kde; en FreeBSD.

- &kde; en &Solaris;.

&documentation.index;